%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           python-daap
Version:        0.7.1
Release:        23%{?dist}
Summary:        DAAP client implemented in Python

Group:          Development/Languages

License:        LGPLv2+
URL:            http://jerakeen.org/code/PythonDaap/
Source0:        http://jerakeen.org/files/PythonDaap-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools

%global _description\
A DAAP client implemented in Python.

%description %_description

%package -n python2-daap
Summary: %summary
%{?python_provide:%python_provide python2-daap}

%description -n python2-daap %_description

%prep
%setup -q -n PythonDaap-%{version}

%build
CFLAGS="%{optflags}" %{__python} -c 'import setuptools; execfile("setup.py")' build

%install
rm -rf %{buildroot}
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root %{buildroot}
 
%clean
rm -rf %{buildroot}

%files -n python2-daap
%defattr(-,root,root,-)
%doc CHANGELOG examples/ README LICENSE PKG-INFO
%{python_sitearch}/*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Jan 16 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.7.1-22
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.7.1-21
- Python 2 binary package renamed to python2-daap
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-17
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 0.7.1-13
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Nov 19 2009 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7.1-5
- BR python-devel to fix FTBFS (BZ#539209)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.7.1-2
- Rebuild for Python 2.6

* Fri Aug  1 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7.1-1
- Update to 0.7.1
- Drop cruft for compatibility with Fedora <= 7
- Drop upstreamed patch

* Mon Feb 11 2008 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7-6
- Rebuild for GCC 4.3
- Build egg files.

* Wed Aug 29 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7-5
- Update license tag.

* Wed Aug 29 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7-4
- Bump release and rebuild.

* Tue Apr  3 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7-3
- Apply patch to fix crashes on 64bit machines from Hans de Goede

* Tue Mar 13 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7-2
- Make sure updated spec gets published.
- Include PKG-INFO

* Mon Mar 12 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.7-1
- Update to 0.7
- Use LICENSE file from tarball

* Mon Mar 12 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.6-1
- Update to 0.6

* Mon Feb 12 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.5-2
- Drop "A " from the summary
- Use "install -m 0644" instead of "cp".

* Mon Feb 12 2007 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.5-1
- Update to 0.5

* Thu Nov 16 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4-2
- Add a copy of the LICENSE
- Clarify the comment about the license.

* Tue Nov 14 2006 Jeffrey C. Ollie <jeff@ocjtech.us> - 0.4-1
- First version for Fedora Extras

